#
# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2013  Joanna Rutkowska <joanna@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#


Name:		qubes-pdf-converter
Version:	2.1.12
Release:	1%{dist}
Summary:	The Qubes service for converting untrusted PDF files into trusted ones

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org

BuildRequires: make
BuildRequires: pandoc 
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-devel

Requires:	poppler-utils ImageMagick
Requires:	nautilus-python
Requires:	python%{python3_pkgversion} >= 3.7
Requires:	python%{python3_pkgversion}-pillow
Requires:	python%{python3_pkgversion}-click
Requires:	python%{python3_pkgversion}-tqdm

Source0: %{name}-%{version}.tar.gz

%description
The Qubes service for converting untrusted PDF files into trusted ones.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
make install-vm DESTDIR=$RPM_BUILD_ROOT PYTHON=%{__python3}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/etc/qubes-rpc/qubes.PdfConvert
/usr/lib/qubes/qpdf-convert-server
/usr/lib/qubes/qvm-convert-pdf.gnome
/usr/bin/qvm-convert-pdf
/usr/share/nautilus-python/extensions/qvm_convert_pdf_nautilus.py*
/usr/share/kde4/services/qvm-convert-pdf.desktop
%{_mandir}/man1/qvm-convert-pdf.1*
%dir %{python3_sitelib}/qubespdfconverter-*.egg-info
%{python3_sitelib}/qubespdfconverter-*.egg-info/*
%{python3_sitelib}/qubespdfconverter

%changelog
* Sun May 23 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-pdf-converter.git

* Sun May 23 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 171a55a
- version 2.1.12

* Tue May 18 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 15955ce
- spec: exclude unsupported CentOS

* Tue May 11 2021 Andrew David Wong <adw@andrewdavidwong.com> - 6c636c9
- Copyedit text

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0cb4826
- spec: add BR make

* Wed May 05 2021 Rot127 <unisono@quyllur.org> - 8824bc0
- Fix issue #5975 like @icequbes1 suggested.

* Wed Dec 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2847937
- gitlab-ci: move pylint earlier

* Tue Nov 17 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - d660536
- Add .gitlab-ci.yml

* Sun Oct 18 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 17f48a8
- version 2.1.11

* Sun Oct 18 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fba2849
- rpm: add PYTHON variable to define right Python binary

* Sun Oct 18 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0c9d97e
- version 2.1.10

* Fri Oct 16 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6b7f71f
- Python38 is now available for CentOS8

* Sat Oct 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6d1ba08
- version 2.1.9

* Wed Jun 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b83e354
- require python 3.7+, exclude stretch, jessie and centos

* Wed Jun 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 653c55f
- Use proper python package installation for the VM part too

* Tue Jun 23 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 229e68a
- Drop executable bit from nautilus extension

* Tue Jun 23 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 617c2a7
- Add qubespdfconverter/__init__.py

* Tue Jun 23 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6d457d6
- Move tests back to qubespdfconverter.tests

* Tue Jun 23 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f1559c9
- Install only tests with older python

* Mon Jun 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 04991c3
- travis: include R4.0 dom0 too

* Mon Jun 22 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 73a9012
- Adjust dependencies after python rewrite

* Sun Jun 21 2020 Jason Phan <td.satch@gmail.com> - 1ee08f7
- makefile: Resolve makefile conflict

* Sun Jun 21 2020 Jason Phan <td.satch@gmail.com> - 64cc14f
- pylint: Add expression-not-assigned

* Sun Jun 21 2020 Jason Phan <td.satch@gmail.com> - 379659b
- client: Add support for older tqdm versions

* Sat Jun 20 2020 Jason Phan <td.satch@gmail.com> - f1d35f2
- client: Handle out of space error

* Sat Jun 20 2020 Jason Phan <td.satch@gmail.com> - 5eab363
- client: Fix output spacing

* Sat Jun 20 2020 Jason Phan <td.satch@gmail.com> - c87e61b
- client: Simplify image appending

* Fri Jun 19 2020 Jason Phan <td.satch@gmail.com> - 9b655af
- pylint: Add bad-continuation to .pylintrc

* Fri Jun 19 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 388278a
- debian: update control syntax for python nautilus

* Tue Jun 16 2020 Jason Phan <td.satch@gmail.com> - 2abacda
- meta: Copyright info

* Tue Jun 16 2020 Jason Phan <td.satch@gmail.com> - ef41913
- client: Exit with 1 on error

* Tue Jun 16 2020 Jason Phan <td.satch@gmail.com> - bcbaf9e
- client: Implement bulk saves and remove reps appropriately

* Tue Jun 16 2020 Jason Phan <td.satch@gmail.com> - 8e32abb
- server: Rename batch entry variables

* Tue Jun 16 2020 Jason Phan <td.satch@gmail.com> - c00e7a1
- server: Prevent CPU hogging by PNG tasks

* Sun Jun 14 2020 Jason Phan <td.satch@gmail.com> - 5772fdf
- server: Handle non-ASCII output from pdfinfo(1)

* Sun Jun 14 2020 Jason Phan <td.satch@gmail.com> - 61437ca
- client: Use python3 shebang

* Sun May 31 2020 Jason Phan <td.satch@gmail.com> - deb6c87
- travis: Update imports and pylint exceptions

* Sun May 31 2020 Jason Phan <td.satch@gmail.com> - 467a7c3
- travis: remove --exit-code

* Sun May 31 2020 Jason Phan <td.satch@gmail.com> - 0b1e80c
- travis: Attempt to fix pylint

* Sun May 31 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - cd08b7e
- debian: fix typo in rules

* Thu May 28 2020 Jason Phan <td.satch@gmail.com> - 4e3fee3
- travis: Re-add --exit-code because i was right the first time

* Thu May 28 2020 Jason Phan <td.satch@gmail.com> - 2718653
- travis: fix paths and try without --exit-code

* Thu May 28 2020 Jason Phan <td.satch@gmail.com> - 32dd0d2
- travis: Add pylint dependency

* Thu May 28 2020 Jason Phan <td.satch@gmail.com> - 35524b7
- client, server: Replace shellcheck with pylint

* Thu May 28 2020 Jason Phan <td.satch@gmail.com> - 4cfb5e9
- client: Update docstring

* Thu May 28 2020 Jason Phan <td.satch@gmail.com> - 5ac1bf0
- setup: Add tqdm dependency

* Thu May 28 2020 Jason Phan <td.satch@gmail.com> - 21a6314
- client: Update shebang to 3.7

* Thu May 28 2020 Jason Phan <td.satch@gmail.com> - f05f4d5
- client: Fix lower bound for batch size

* Thu May 28 2020 Jason Phan <td.satch@gmail.com> - 7243999
- client, server: Update UI, design, and error handling

* Thu May 28 2020 Jason Phan <td.satch@gmail.com> - 924824f
- client: Replace namedtuple with dataclass

* Thu May 28 2020 Jason Phan <td.satch@gmail.com> - 2a5d8b9
- client: Add initial version of tqdm output

